/*
Theme Name:     Maison Maxou
Description:    Custom WordPress Child theme for theme "Monkey Vision" developed by Monkey Vision
Author:         Monkey Vision
Author URI: 	https://monkeyvision.nl
Tested up to:   6.2
Requires PHP:   8.1
Template:       monkeyvision
Text Domain:    monkeyvision-child
Author URI:     https://monkeyvision.nl
Version:        1.0
*/

/* ***************************************************************************************** */
/****************************************** GLOBAL ******************************************/

/* Variables */

:root {
    --primary: #BD9864;
    --secondary: #491A3D;
	--text: #FFF;
	--accent: #805B28;
    --mv-black: #000;
    --mv-white: #fff;
	
	/*** OVERRULE WOOCOMMERCE COLORS ***/
	/* LINKS */
	--links-normal-color: var(--primary) !important;
	--links-hover-color: var(--secondary) !important;
	--order-details-product-links-normal-color: var(--primary) !important;
	--order-details-product-links-hover-color: var(--secondary) !important;
	/* TABS */
	--tabs-active-color: var(--primary) !important;
	--tabs-hover-color: var(--primary) !important;
}

a:focus, a:focus-visible {
	outline: none !important;
}

article, aside, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
/* ol, ul {
	list-style: none;
} */
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}

/************** HEADER ****************************************************************/
header {
	overflow: visible;
}

.elementor-location-header .elementor-nav-menu--main .menu-item .elementor-item::after {
	content: " ";
	display: block;
	width: 0;
	margin: auto;
	background: var(--primary);
	height: 2px;
	transition: all ease .3s;
	margin-top: 25px;
	left: 50%;
}

.elementor-location-header .elementor-nav-menu--main .menu-item .elementor-item:hover::after {
	width: 50%;
	left: 25%;
}


/**********    Dinamic data information (address, email, telephone) styles    ***************/
.custom-information-data a,
.custom-information-data span {
	color: var(--mv-white);
}

.tel-container a,
.mail-container a {
	color: var(--primary);
}

/****************************************** end GLOBAL ******************************************/
/* ******************************************************************************************** */


/****************************************** HEADER styles  ******************************************/
/* Navigation menu */

@media screen and (min-width: 1024px){
	.navbar-white-bg {
		position: fixed;
		background: var(--mv-white);
		min-height: 110px;
	}

	.navbar-white-bg .elementor-nav-menu--main.elementor-nav-menu__container .menu-item .elementor-item.elementor-item-anchor {
		color: #330A28;
	}

	.navbar-white-bg > .elementor-element {
		background-image: unset !important;
	}

	.navbar-white-bg .logo-container .elementor-widget-container a img {
		display: none;
	}

	.navbar-white-bg .logo-container .elementor-widget-container::after {
		content: url('../../uploads/2021/12/logo-dark.svg');
	}
}

/* Footer menus */
.footer-informatie-menu .elementor-nav-menu .menu-item {
	display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    align-items: center;
	transition: margin 0.5s;
}

.footer-informatie-menu .elementor-nav-menu .menu-item:hover {
	margin-left: 5px;
}

.footer-informatie-menu .elementor-nav-menu .menu-item::before {
	margin-right: 12px;
	content: url('../../uploads/2021/12/arrow-right-long.svg');
}


/* FOOTER styles */
.elementor-location-footer .tel-container-parent .tel-container a,
.elementor-location-footer .mail-container-parent .mail-container a {
	color: var( --primary);
}

.elementor-location-footer .adres-container-parent,
.elementor-location-footer .tel-container-parent,
.elementor-location-footer .mail-container-parent {
	height: 30px;
}


/* FOOTER styles */
.coming-soon-page .tel-container a,
.coming-soon-page .mail-container a {
	color: var(--mv-white);
}


/* Banner Container */

.banner-container .swiper-slide-inner {
	max-width: 1440px;
	padding-left: 20px !important:
}

.banner-container .swiper-pagination.swiper-pagination-bullets {
	display: flex;
    justify-content: flex-end;
    padding-right: 25px;
	padding-bottom: 35px;
	max-width: 1440px;
	right: 0;
	margin: auto;
	z-index: 9;
}

.banner-container .swiper-slide-inner ul {
	list-style: disc;
    padding-top: 5px;
    padding-bottom: 5px;
}

@media screen and (max-width: 768px) {
	.banner-container .elementor-widget-container .swiper-slide {
		max-height: 650px;
	}
}


/* Appartments section */
@media screen and (min-width: 768px) {
	.appartements-image-carousel {
		position: relative;
	}

	.appartements-image-carousel .elementor-widget-container {
		width: 200%;
		position: absolute;
		right: 0%;
	}

	.appartements-image-carousel .elementor-swiper-button.elementor-swiper-button-prev,
	.appartements-image-carousel .elementor-swiper-button.elementor-swiper-button-next {
		border: 2px solid var(--primary);
		border-radius: 30px;
		color: var(--primary);
		top: 600px;
		height: 38px;
		width: 60px;
		display: flex;
		justify-content: center;
		align-items: center;
	}
	
	.appartements-image-carousel .elementor-swiper-button.elementor-swiper-button-prev:hover,
	.appartements-image-carousel .elementor-swiper-button.elementor-swiper-button-next:hover {
		border-color: var(--accent);
	}
	
	.appartements-image-carousel .elementor-swiper-button.elementor-swiper-button-prev svg,
	.appartements-image-carousel .elementor-swiper-button.elementor-swiper-button-next svg {
		width: 10px;
	}
	
	.appartements-image-carousel .elementor-swiper-button.elementor-swiper-button-prev svg path,
	.appartements-image-carousel .elementor-swiper-button.elementor-swiper-button-next svg path {
		fill: var(--primary);
	}

	.appartements-image-carousel .elementor-swiper-button.elementor-swiper-button-prev:hover svg path,
	.appartements-image-carousel .elementor-swiper-button.elementor-swiper-button-next:hover svg path {
		fill: var(--accent);
	}

	.appartements-image-carousel figure img {
		width: auto;
		height: 620px;
		object-fit: cover;
	} 

	.appartements-image-carousel .elementor-swiper-button.elementor-swiper-button-prev {
		position: absolute;
		left: unset !important;
		right: -114px;
	}

	.appartements-image-carousel .elementor-swiper-button.elementor-swiper-button-next {
		position: absolute;
		right: -186px !important;
	}
}

@media screen and (max-width: 1280px) {
	.appartements-text-content .elementor-widget-container	.elementor-heading-title.elementor-size-default {
		font-size: 34px;
    	line-height: 34px;
	}
}

@media screen and (max-width: 768px) {
	.appartements-image-carousel .elementor-image-carousel-wrapper.swiper.swiper-initialized {
		position: relative;
		padding-bottom: 90px;
		width: 100%;
	}
	
	.appartements-image-carousel .elementor-swiper-button.elementor-swiper-button-prev {
		position: absolute;
		left: unset !important;
		bottom: 0;
		top: unset !important;
		left: calc(50% - 70px) !important;
	}

	.appartements-image-carousel .elementor-swiper-button.elementor-swiper-button-next {
		position: absolute;
		bottom: 0;
		top: unset !important;
		right: calc(50% - 70px) !important;
	}

	.appartements-image-carousel .elementor-swiper-button.elementor-swiper-button-prev,
	.appartements-image-carousel .elementor-swiper-button.elementor-swiper-button-next {
		border: 2px solid var(--primary);
		border-radius: 30px;
		color: var(--primary);
		top: 460px;
		height: 38px;
		width: 60px;
		display: flex;
		justify-content: center;
		align-items: center;
	}
	
	.appartements-image-carousel .elementor-swiper-button.elementor-swiper-button-prev:hover,
	.appartements-image-carousel .elementor-swiper-button.elementor-swiper-button-next:hover {
		border-color: var(--accent);
	}
	
	.appartements-image-carousel .elementor-swiper-button.elementor-swiper-button-prev svg,
	.appartements-image-carousel .elementor-swiper-button.elementor-swiper-button-next svg {
		width: 10px;
	}
	
	.appartements-image-carousel .elementor-swiper-button.elementor-swiper-button-prev svg path,
	.appartements-image-carousel .elementor-swiper-button.elementor-swiper-button-next svg path {
		fill: var(--primary);
	}

	.appartements-image-carousel .elementor-swiper-button.elementor-swiper-button-prev:hover svg path,
	.appartements-image-carousel .elementor-swiper-button.elementor-swiper-button-next:hover svg path {
		fill: var(--accent);
	}
}


/* Practische informatie */
.practische-informatie .elementor-widget-container .eael-accordion-list .eael-accordion-tab-title {
	display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

.practische-informatie .elementor-widget-container .eael-accordion-list .eael-accordion-tab-title span {
	color: #BD9864;
	font-weight: 900;
	font-size: 10px;
	line-height: 12px;
	letter-spacing: 2px;
	float: right;
	white-space: nowrap;
	margin-left: 10px;
}

.practische-informatie .elementor-widget-container .eael-accordion-list .eael-accordion-tab-title:hover span {
	color: var(--accent);
}

.practische-informatie .elementor-widget-container .eael-accordion-list .eael-accordion-tab-title:hover  ~ .fa-toggle.eaa-svg svg {
	margin-right: 3px;
	transition: color 0.3s, margin 0.3s;
}

.practische-informatie .elementor-widget-container .eael-accordion-list .eael-accordion-tab-title:hover  ~ .fa-toggle.eaa-svg svg path {
	fill: var(--accent);
	transition: color 0.3s, margin 0.3s;
}

	
/* Activitie section */
.activitie-container .eael-img-accordion .overlay-active .overlay-inner.overlay-inner-show p img {
    position: absolute;
    bottom: 50px;
}
.activitie-container .eael-img-accordion .overlay-inner:not(.overlay-inner-show) p:has(img),
.activitie-container .eael-img-accordion .overlay-inner:not(.overlay-inner-show) p img {
	visibility: visible;
    opacity: 1;
    position: absolute;
    width: 50px;
    height: auto;
    bottom: 35px;
    left: 35px;
}
.activitie-container .eael-img-accordion .overlay-inner:not(.overlay-inner-show) {
    text-align: center;
}
.activitie-container .eael-img-accordion .overlay-inner:not(.overlay-inner-show) p:not(has(img)) {
	display: none;
}

/* Review section */

.reviews-widget-element .elementor-testimonial {
	display: flex;
    flex-direction: column-reverse;
    align-items: center;
}

.reviews-widget-element .elementor-testimonial .elementor-testimonial__header .elementor-testimonial__cite {
	display: flex;
    flex-direction: row-reverse;
    gap: 24px;
	align-items: center;
	flex-wrap: wrap;
	justify-content: center;
}

.reviews-widget-element .elementor-testimonial .elementor-testimonial__content .elementor-testimonial__text {
	max-width: 950px;
    text-align: center;
	padding: 0 50px;
}

.reviews-widget-element .elementor-swiper-button i.eicon-chevron-left::before {
	content: "";
	background: url('../../uploads/2024/03/tekst.svg') center center no-repeat;
	background-size: auto;
	width: 20px;
	height: 20px;
	display: block;
	background-size: auto;
	padding: 18px 28px;
	border: 2px solid var(--primary);
	border-radius: 30px;
	color: var(--primary);
}

.reviews-widget-element .elementor-swiper-button i.eicon-chevron-right::before {
	content: "";
	background: url('../../uploads/2024/03/phone-2.svg') center center no-repeat;
	background-size: auto;
	width: 20px;
	height: 20px;
	display: block;
	background-size: auto;
	padding: 18px 28px;
	border: 2px solid var(--primary);
	border-radius: 30px;
	color: var(--primary);
}

@media screen and (max-width: 768px) { 
	.reviews-widget-element .elementor-testimonial .elementor-testimonial__content .elementor-testimonial__text {
		line-height: normal;
		padding: 0;
	}

	.elementor-element.reviews-widget-element.elementor-widget-reviews .elementor-main-swiper {
		position: relative;
		padding-bottom: 90px;
	}

	.elementor-element.reviews-widget-element.elementor-widget-reviews .elementor-main-swiper .elementor-swiper-button.elementor-swiper-button-prev {
		position: absolute;
		bottom: -10px;
		left: unset;
		top: unset;
		left: calc(50% - 70px) !important;
	}

	.elementor-element.reviews-widget-element.elementor-widget-reviews .elementor-main-swiper .elementor-swiper-button.elementor-swiper-button-next {
		position: absolute;
		bottom: -10px;
		left: unset;
		top: unset;
		right: calc(50% - 70px) !important;	
	}
}


/*          GFORM styles            */
/* CUSTOMISE THIS */

.gravity-contact-form-container {
	max-width: 1440px;
}

body .gform_wrapper input:not([type=submit]),
body .gform_wrapper textarea  {
    padding: 10px 20px !important;
    border: unset !important;
    background-color: rgba(182, 168, 147, 0.2);
    line-height: 24px;
    margin: 0px;
    box-shadow: none;
    height: auto;
}

body .gform_wrapper input::placeholder,
body .gform_wrapper textarea::placeholder {
	font-family: "Dolly", Sans-serif;
    font-size: 16px;
    font-weight: 400;
    line-height: 28px;
    letter-spacing: 0.03px;
	opacity: 1; /* Firefox */
}

body .gform_wrapper .gform_heading {
	display: none;
}

body .gform_wrapper .gform-body .gform_fields {
	grid-column-gap: 40px;
    grid-row-gap: 15px;
}

body .gform_wrapper .gform_body .gform_fields .gfield .ginput_container input::placeholder,
body .gform_wrapper .gform-body .gform_fields .gfield.gfield--type-textarea.gfield--input-type-textarea textarea::placeholder {
	font-size: 10px;
	font-style: italic;
	font-weight: 400;
	letter-spacing: 0.3px;
	line-height: 22px;
	color: #B6A893;
}

body .gform_wrapper .gform_body .gform_fields .gfield .ginput_container input,
body .gform_wrapper .gform-body .gform_fields .gfield.gfield--type-textarea.gfield--input-type-textarea textarea {
	font-family: "Dolly", Sans-serif;
    font-size: 14px;
	font-weight: 400;
	letter-spacing: 0.3px;
	line-height: 26px;
	color: var(--secondary);
}

body .gform_wrapper .gform_body .gform_fields .gfield .ginput_container input {
    height: 57px;	
}

body .gform_wrapper .gform-body .gform_fields .gfield.gfield--type-email.gfield--input-type-email .ginput_complex.ginput_container_email .gform-grid-col label,
body .gform_wrapper .gform-body .gform_fields .gfield_label.gform-field-label {
	padding-left: 20px;
	margin-bottom: 12px;
	font-weight: 900; 
	font-size: 10px;
	text-transform: uppercase;
	line-height: 12px;
	letter-spacing; 0.2px;
	color: var(--secondary);	
}

body .gform_wrapper .gfield.gfield--type-text.gfield--input-type-text.gfield--width-quarter.gform-naam {
	margin-right: -10px;
}

body .gform_wrapper .gform-body .gform_fields .gfield.gfield--type-email.gfield--input-type-email .ginput_complex.ginput_container_email {
	display: flex;
    flex-direction: column;
    align-content: stretch;
    align-items: stretch;
    gap: 24px;
}


body .gform_wrapper .gform-body .gform_fields .gfield.gfield--type-email.gfield--input-type-email .ginput_complex.ginput_container_email span {
	padding-left: 0;
	padding-right: 0;
}

body .gform_wrapper .gform-body .gform_fields .gfield.gfield--type-phone.gfield--input-type-phone {
	margin-left: -10px;
}

body .gform_wrapper .gform-body .gform_fields .gfield.gfield--type-date.gfield--input-type-date .ginput_container.ginput_container_date input{
	width: 100%;
}

body .gform_wrapper .gform-body .gform_fields .ginput_container_date-one {
	margin-right: -10px;
}

body .gform_wrapper .gform-body .gform_fields .ginput_container_date-two {
	margin-left: -10px;
}

body .gform_wrapper .gform-body .gform_fields .gfield.gfield--type-name.gfield--input-type-name .ginput_complex.ginput_container span {
	padding-right: 0;
}

body .gform_wrapper .gform-body .gform_fields .gfield.gfield--type-textarea.gfield--input-type-textarea {
	margin-top: -4px;
	margin-bottom: 50px;
	padding-bottom: 20px;
}

body .gform_wrapper .gform-body .gform_fields .gfield.gfield--type-textarea.gfield--input-type-textarea textarea {
	resize: vertical;
	min-height: 100px;
}

/* body .gform_wrapper .gform-body .gform_fields .gfield.gfield--type-checkbox.gfield--type-choice .gfield_label.gform-field-label,
body .gform_wrapper .gform-body .gform_fields .gfield.gfield--type-checkbox.gfield--type-choice .gfield_checkbox .gfield-choice-input {
	display: none;
} */

body .gform_wrapper .gform-body .gform_fields .gfield.gfield--type-checkbox.gfield--type-choice .gfield_checkbox .gform-field-label {
	position: absolute;
	right: 247px;
	bottom: 45px;
	color: var(--secondary);
}

body .gform_wrapper .gform-body .gform_fields .gfield .error {
    color: #C02B03;
}
div#gform_confirmation_message_1 {
	color: var(--secondary);
}

@media screen and (max-width: 1400px) {
	body .gform_wrapper .gform-body .gform_fields .gfield.gfield--type-checkbox.gfield--type-choice .gfield_checkbox .gform-field-label {
		bottom:0;
		right: 0;
	}
}

body .gform_footer.top_label {
	position: absolute;
	right: 0;
	bottom: 15px;
}

body .gform_footer.top_label .gform_button.button {
	padding: 13px 25px;
	font-weight: 900;
	font-size: 10px;
	text-transform: uppercase;
	line-height: 13px;
	letter-spacing: 2px;
	border: unset;
}

body .gform_wrapper .gform_body .gform_fields .gfield .gfield_label .gfield_required  {
	color: var(--secondary);
}

.gravity-theme.ui-datepicker .ui-datepicker-calendar .ui-state-disabled .ui-state-default {
    color: #fff;
    border-color: #fff;
    background: #fff;
    box-shadow: none;
}

@media screen and (max-width: 820px) {
	body .gform_wrapper {
		margin-bottom: 100px;
	}
	
	body .gform-body.gform_body	.gform_fields.top_label {
	    display: flex;
		flex-direction: column;		
	}

	body .gform_wrapper .gfield.gfield--type-text.gfield--input-type-text.gfield--width-quarter.gform-naam {
		order: 1;
		margin-right: 0;
	}

	body .gform_wrapper .gfield.gfield--type-phone.gfield--input-type-phone {
		margin-left: 0 !important;
		order: 2;
	}

	body .gform_wrapper .gfield.gfield--type-email.gfield--input-type-email {
		order: 3;
	}
	
	body .gform_wrapper .gfield.gfield--type-date.ginput_container_date-one {
		order: 4;
		margin-right: 0 !important;
		margin-top: -20px;
	}
	
	body .gform_wrapper .gfield.gfield--type-date.ginput_container_date-two {
		order: 5;
		margin-left: 0 !important;
	}
	
	body .gform_wrapper .gfield.gfield--type-text.gfield--input-type-text.gform-onderwerp {
		order: 6;
		margin-top: 0;
	}
	
	body .gform_wrapper .gfield.gfield--type-textarea.gfield--input-type-textarea {
		order: 7;
		margin-bottom: 0 !important;
	}
	
	body .gform_wrapper .gfield.gfield--type-checkbox.gfield--type-choice.gfield--input-type-checkbox {
		order: 8;
		display: flex;
	}

	body .gform_wrapper .gfield.gfield--type-checkbox.gfield--type-choice.gfield--input-type-checkbox .ginput_container.ginput_container_checkbox {
		width: 100%;
	}
	
	body .gform_wrapper .gform-body .gform_fields .gfield.gfield--type-checkbox.gfield--type-choice .gfield_checkbox .gform-field-label {
		position: relative;
	}

	body .gform_footer.top_label {
		position: absolute;
		right: 0;
		bottom: 0;
	}
}

/********************** Language switcher ******************************/
.trp-language-switcher,
.trp-language-switcher * {
	width: fit-content !important;
    background: transparent !important;
    padding: 0 !important;
    border: none !important;
}

.trp-language-switcher,
.trp-language-switcher .trp-ls-shortcode-current-language,
.trp-language-switcher .trp-ls-shortcode-current-language a {
	display: flex;
    align-items: center;
/* 	justify-content: flex-end; */
	width: max-content !important;
}

.trp-language-switcher img {
    width: 32px !important;
    height: 32px !important;
	margin: 0 !important;
    object-fit: cover;
    object-position: center;
    border: solid 2px #fff !important;
    border-radius: 50px !important;
}
.trp-language-switcher:focus .trp-ls-shortcode-language,
.trp-language-switcher:hover .trp-ls-shortcode-language {
	top: 5px;
	width: max-content !important;
}